# DismissLine(Action)

Method in [VoiceOverView](/2.2/api/csharp/yarn.unity/yarn.unity.voiceoverview.md)

## Summary

Ends any existing playback, and reports that the line has finished dismissing.

```csharp
public override void DismissLine(Action onDismissalComplete)
```

## Remarks

{% hint style="warning" %}
This method is not intended to be called from your code. Instead, the [DialogueRunner](/2.2/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) class will call it at the appropriate time.
{% endhint %}

## Parameters

| Name                         | Description                                                                      |
| ---------------------------- | -------------------------------------------------------------------------------- |
| `Action` onDismissalComplete | The method that should be called when the view has finished dismissing the line. |

## See Also

* [DialogueViewBase.DismissLine(Action)](/2.2/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.dismissline.md): Called by the [DialogueRunner](/2.2/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that the view should dismiss its current line from display, and clean up.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.dismissline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
